<script lang="ts" setup>
import AppContainer from "../../components/AppContainer.vue";
import PageHeader from "@/components/PageHeader.vue";
import UnitCard from "../../components/UnitCard.vue";
import breakpoints from "@/scripts/breakpoints";
</script>

<template>
  <AppContainer>
    <template v-slot:header>
      <PageHeader
        description="Whiskey est le système d’identité et de gestion des accréditations de l’AGEPoly. C’est sur cette application que vous pouvez paramétrer votre compte AGEPoly ou vérifier vos droits informatique."
        title="Bienvenue !"
      />
    </template>
    <div class="flex md:flex-row justify-center">
      <div class="mt-5">
        <div class="mb-2 flex justify-between items-center">
          <h2 class="text-2xl text-theme-text-darker">Mes accréditations</h2>
          <v-btn
            :size="breakpoints.lg ? 'small' : 'x-small'"
            to="/units"
            variant="outlined"
            >Toutes les unités
          </v-btn>
        </div>
        <div
          class="grid grid-cols-1 md:grid-cols-2 lg:grid-cols-3 2xl:grid-cols-4 gap-4"
        >
          <UnitCard
            :icon="null"
            subtitle="Responsable de l'équipe"
            title="Équipe Informatique"
          />
          <UnitCard
            :icon="null"
            subtitle="Responsable Informatique"
            title="Comité de Direction"
          />
        </div>
      </div>
    </div>
  </AppContainer>
</template>

<style></style>
